post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to remove AD configuration of the organizations in Saner Server.
It requires name of the organization to delete its AD configuration and field device name is required if AD was configured via agent integration.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| organization | Name of the organization whose AD configuration will be removed | Yes | string |
| devicename | Device name associated with AD integration (required if configured via agent integration) | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.AD.deleteConfig(
organization="Demo Org",
devicename="device 1"
)
print(response)
client.close()Requires Python 3.9 or later.